Loading...
Searching...
No Matches
Callout Handle Operations
Globus Callout API

Manage a Globus Callout Handle structure. More...

## Typedefs

typedef struct globus_i_callout_handle_s * | globus_callout_handle_t

## Functions

globus_result_t | globus_callout_handle_init (globus_callout_handle_t *handle)
globus_result_t | globus_callout_handle_destroy (globus_callout_handle_t handle)

## Detailed Description

Manage a Globus Callout Handle structure.

This section defines operations for initializing and destroying Globus Callout Handle structure.

## Typedef Documentation

## globus_callout_handle_t

typedef struct globus_i_callout_handle_s* globus_callout_handle_t

Callout handle type definition

## Function Documentation

## globus_callout_handle_destroy()

globus_result_t globus_callout_handle_destroy | ( | globus_callout_handle_t | handle | ) |

Destroy a Globus Callout Handle

Parameters

  handle | The handle that is to be destroyed

Returns
  GLOBUS_SUCCESS

## globus_callout_handle_init()

globus_result_t globus_callout_handle_init | ( | globus_callout_handle_t * | handle | ) |

Initialize a Globus Callout Handle

Parameters

  handle | Pointer to the handle that is to be initialized

Returns
  This function returns GLOBUS_SUCCESS or a globus_result_t referring to an error object of one of the following types

Return values

  GLOBUS_CALLOUT_ERROR_WITH_HASHTABLE | Hashtable initialization failed